Get paginated list of custom incentives
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/incentives/custom \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/incentives/custom"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/incentives/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"customIncentiveId": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""Too Many Requests""Internal Server Error"Incentives
Get paginated list of custom incentives
Gets all custom incentives in your workspace
GET
/
incentives
/
custom
Get paginated list of custom incentives
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The cursor to start from
The number of items to return
Required range:
x <= 100Example:
10
⌘I